cpw.mods.fml.common.network

## Class NetworkRegistry

- java.lang.Object
- - cpw.mods.fml.common.network.NetworkRegistry

-     public class NetworkRegistry
      extends Object

  Author:
    cpw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Packet3Chat` | `handleChat(NetHandler handler, Packet3Chat chat)`
    `void` | `handleTinyPacket(NetHandler handler, Packet131MapData mapData)`
    `static NetworkRegistry` | `instance()`
    `boolean` | `isChannelActive(String channel, Player player)` Is the specified channel active for the player?
    `void` | `registerChannel(IPacketHandler handler, String channelName)` register a channel to a mod
    `void` | `registerChannel(IPacketHandler handler, String channelName, Side side)`
    `void` | `registerChatListener(IChatListener listener)` Register a chat listener
    `void` | `registerConnectionHandler(IConnectionHandler handler)` Register a connection handler
    `void` | `registerGuiHandler(Object mod, IGuiHandler handler)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkRegistry

          public NetworkRegistry()

  - ### Method Detail

    - #### instance

          public static NetworkRegistry instance()

    - #### isChannelActive

          public boolean isChannelActive(String channel,
                                Player player)

      Is the specified channel active for the player?
      Parameters:
        `channel` -
        `player` -

    - #### registerChannel

          public void registerChannel(IPacketHandler handler,
                             String channelName)

      register a channel to a mod
      Parameters:
        `handler` - the packet handler
        `channelName` - the channel name to register it with

    - #### registerChannel

          public void registerChannel(IPacketHandler handler,
                             String channelName,
                             Side side)

    - #### registerConnectionHandler

          public void registerConnectionHandler(IConnectionHandler handler)

      Register a connection handler
      Parameters:
        `handler` -

    - #### registerChatListener

          public void registerChatListener(IChatListener listener)

      Register a chat listener
      Parameters:
        `listener` -

    - #### registerGuiHandler

          public void registerGuiHandler(Object mod,
                                IGuiHandler handler)

    - #### handleChat

          public Packet3Chat handleChat(NetHandler handler,
                               Packet3Chat chat)

    - #### handleTinyPacket

          public void handleTinyPacket(NetHandler handler,
                              Packet131MapData mapData)